Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.giftregistry
Class PurchasedOrderLineImpl

    java.lang.Object
      |
      +--theory.smart.foundation.BelongingImpl
            |
            +--theory.smart.ebusiness.order.OrderLineImpl
                  |
                  +--theory.smart.ebusiness.giftregistry.PurchasedOrderLineImpl

public class PurchasedOrderLineImpl
extends OrderLineImpl
implements PurchasedOrderLine

A purchased order line is one that records the purchase of some quantity of one of the items on the gift list. It extends the OrderLine and adds a mechanism for recording who purchased the item. Note that the item may not have been purchased on our system, in such case we will require that a customer be created to represent the purchaser. For items that are purchased on this system we will store a reference to the PackingList so that we can retain track it's delivery status. Notes: We will need to track returns and add the items back to the registry as well. Perhaps we should associate a return business policy to the PackingList as a way of registering that some action will need to take place.

See Also:
  `PurchasedOrderLine`, `PurchasedOrderLineHome`, Serialized Form

Field Summary
`SmartHandle` | `giver` giver [PurchasedOrderLine] <>------> [`theory.smart.ebusiness.customer.Customer`]
`SmartHandle` | `packingList` packingList [PurchasedOrderLine] <>------> [`theory.smart.ebusiness.shipping.PackingList`]
`java.lang.Boolean` | `returned` returned [PurchasedOrderLine] <*>------> [`Boolean`]

Fields inherited from class theory.smart.ebusiness.order.OrderLineImpl
`item, price, quantity`

Fields inherited from class theory.smart.foundation.BelongingImpl
`isDirty`

Constructor Summary
`PurchasedOrderLineImpl()`

Method Summary
`boolean` | `boughtHere()` Return true if the reference to the packinglist is non null.
`int` | `compareTo(java.lang.Object o)`
`Customer` | `getGiver()` Get the remote object reference of giver
`PackingList` | `getPackingList()` Get the remote object reference of packingList
`java.lang.Boolean` | `getReturned()` Get the value of returned
`void` | `setGiver(Customer giver)` Set the remote object reference of giver
`void` | `setPackingList(PackingList packingList)` Set the remote object reference of packingList
`void` | `setReturned(java.lang.Boolean returned)` Set the value of returned
`Belonging` | `value()`

Methods inherited from class theory.smart.ebusiness.order.OrderLineImpl
`correctPrice, getItem, getItemPrice, getLinePrice, getPrice, getQuantity, lockinPrice, setItem, setPrice, setQuantity`

Methods inherited from class theory.smart.foundation.BelongingImpl
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### returned

    public java.lang.Boolean returned

                        returned
       [PurchasedOrderLine] <*>------> [Boolean]

### giver

    public SmartHandle giver

                        giver
       [PurchasedOrderLine] <>------> [theory.smart.ebusiness.customer.Customer]

### packingList

    public SmartHandle packingList

                        packingList
       [PurchasedOrderLine] <>------> [theory.smart.ebusiness.shipping.PackingList]

Constructor Detail

### PurchasedOrderLineImpl

    public PurchasedOrderLineImpl()

Method Detail

### getReturned

    public java.lang.Boolean getReturned()

  Get the value of returned
  Specified by:
    getReturned in interface PurchasedOrderLine
  Returns:
    returned.

### setReturned

    public void setReturned(java.lang.Boolean returned)

  Set the value of returned
  Specified by:
    setReturned in interface PurchasedOrderLine
  Parameters:
    `returned` - returned to be added

### getGiver

    public Customer getGiver()
                      throws java.rmi.RemoteException

  Get the remote object reference of giver
  Specified by:
    getGiver in interface PurchasedOrderLine
  Returns:
    giver.

### setGiver

    public void setGiver(Customer giver)
                  throws java.rmi.RemoteException

  Set the remote object reference of giver
  Specified by:
    setGiver in interface PurchasedOrderLine
  Parameters:
    `givers` - giver to be added

### getPackingList

    public PackingList getPackingList()
                               throws java.rmi.RemoteException

  Get the remote object reference of packingList
  Specified by:
    getPackingList in interface PurchasedOrderLine
  Returns:
    packingList.

### setPackingList

    public void setPackingList(PackingList packingList)
                        throws java.rmi.RemoteException

  Set the remote object reference of packingList
  Specified by:
    setPackingList in interface PurchasedOrderLine
  Parameters:
    `packingLists` - packingList to be added

### value

    public Belonging value()

  Overrides:
    value in class OrderLineImpl

### compareTo

    public int compareTo(java.lang.Object o)

  Overrides:
    compareTo in class OrderLineImpl

### boughtHere

    public boolean boughtHere()

  Return true if the reference to the packinglist is non null.
  Specified by:
    boughtHere in interface PurchasedOrderLine

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.